## hd-idle-1.05.tgz

=== Makefile ===
###############################################################################
#
# General Definitions
#
###############################################################################

ifdef DESTDIR
# dh_auto_install (Debian) sets this variable
  TARGET_DIR = $(DESTDIR)/usr
else
  TARGET_DIR ?= /usr/local
endif

LIB_DIRS   = 

INC_DIRS   = 

CC        ?= gcc
CFLAGS    += $(INC_DIRS) -Wall

LD         = $(CC)
LDFLAGS   += $(LIB_DIRS)

###############################################################################
#
# Main Dependencies
#
###############################################################################

TARGET  = hd-idle

LIBS    = 

SRCS    = hd-idle.c

OBJS    = $(SRCS:.c=.o)

all: $(TARGET)

distclean: clean

clean:
	rm -f $(OBJS) $(TARGET)

install: $(TARGET)
	install -D -g root -o root $(TARGET) $(TARGET_DIR)/sbin/$(TARGET)
	install -D -g root -o root $(TARGET).1 $(TARGET_DIR)/share/man/man1/$(TARGET).1

hd-idle.o:     hd-idle.c

$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIB_DIRS) $(LIBS)

=== debian/control ===
Source: hd-idle
Section: utils
Priority: extra
Maintainer: Christian Mueller <cm1@mumac.de>
Build-Depends: debhelper (>= 7.0.50~), libc6-dev
Standards-Version: 3.8.4
Homepage: http://hd-idle.sf.net
#Vcs-Git: git://git.debian.org/collab-maint/hd-idle.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/hd-idle.git;a=summary

Package: hd-idle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Spin down idle [USB] hard disks
 hd-idle is a utility program for spinning-down external disks after a period
 of idle time. Since most external IDE disk enclosures don't support setting
 the IDE idle timer, a program like hd-idle is required to spin down idle disks
 automatically.
 .
 A word of caution: hard disks don't like spinning up too often. Laptop disks
 are more robust in this respect than desktop disks but if you set your disks
 to spin down after a few seconds you may damage the disk over time due to the
 stress the spin-up causes on the spindle motor and bearings. It seems that
 manufacturers recommend a minimum idle time of 3-5 minutes, the default in
 hd-idle is 10 minutes.
 .
 One more word of caution: hd-idle will spin down any disk accessible via the
 SCSI layer (USB, IEEE1394, ...) but it will not work with real SCSI disks
 because they don't spin up automatically. Thus it's not called scsi-idle and
 I don't recommend using it on a real SCSI system unless you have a kernel
 patch that automatically starts the SCSI disks after receiving a sense buffer
 indicating the disk has been stopped. Without such a patch, real SCSI disks
 won't start again and you can as well pull the plug.
